summaryrefslogtreecommitdiff
path: root/tests/mv/force
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-06 23:05:16 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit33173e867aa45b7f88551551da51e36875582813 (patch)
tree8bbe0a98f0b3cbd0977e35b2b0d4f4cc432dc288 /tests/mv/force
parentdf0beae1eb1318869d51a064aec8fdd401877cbf (diff)
downloadcoreutils-33173e867aa45b7f88551551da51e36875582813.tar.xz
Convert tests/mv, too.
* tests/other-fs-tmpdir: Before, all callers would exit 77 upon failure to find the required dir. Now, exit 77 in this script so callers don't have to. Adjust callers.
Diffstat (limited to 'tests/mv/force')
-rwxr-xr-xtests/mv/force23
1 files changed, 7 insertions, 16 deletions
diff --git a/tests/mv/force b/tests/mv/force
index 905f4c071..bc2603ecf 100755
--- a/tests/mv/force
+++ b/tests/mv/force
@@ -1,7 +1,7 @@
#!/bin/sh
# move a file onto itself
-# Copyright (C) 1999, 2000, 2002 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2000, 2002, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,21 +21,14 @@ if test "$VERBOSE" = yes; then
mv --version
fi
+. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
+
ff=mvforce
ff2=mvforce2
-framework_failure=0
-rm -f $ff $ff2 || framework_failure=1
-echo force-contents > $ff || framework_failure=1
-ln $ff $ff2 || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
-
-# Make sure we get English translations.
-. $srcdir/../lang-default
+echo force-contents > $ff || framework_failure
+ln $ff $ff2 || framework_failure
# This mv command should exit nonzero.
mv $ff $ff > out 2>&1 && fail=1
@@ -44,13 +37,11 @@ cat > exp <<EOF
mv: \`$ff' and \`$ff' are the same file
EOF
-cmp out exp || fail=1
+compare out exp || fail=1
test `cat $ff` = force-contents || fail=1
# This should succeed, even though the source and destination
# device and inodes are the same.
mv $ff $ff2 || fail=1
-rm -fr out exp $ff $ff2
-
exit $fail